Package com.scriptel.proscript

## Class CalibrationState

- java.lang.Object
- - com.scriptel.proscript.CalibrationState

-     public class CalibrationState
      extends java.lang.Object

  This class represents the current calibration state of the device.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `POINT_CENTER` | The calibration point is in the center of the screen.
    `static int` | `POINT_LOWER_LEFT` | The calibration point is in the lower left of the screen.
    `static int` | `POINT_LOWER_RIGHT` | The calibration point is in the lower right of the screen.
    `static int` | `POINT_UPPER_LEFT` | The calibration point is in the upper left of the screen.
    `static int` | `POINT_UPPER_RIGHT` | The calibration point is in the upper right of the screen.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getPoint()` | If the device is calibrating this will contain the point at which the device is presently waiting for the pen.
    `static java.lang.String` | `getPointName​(int point)` | This function gets a human readable name for the currently calibrating point.
    `boolean` | `isCalibrationMode()` | Is the device currently in calibration mode?
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### POINT_CENTER

          public static final int POINT_CENTER

      The calibration point is in the center of the screen.
      See Also:
        Constant Field Values

    - #### POINT_UPPER_LEFT

          public static final int POINT_UPPER_LEFT

      The calibration point is in the upper left of the screen.
      See Also:
        Constant Field Values

    - #### POINT_LOWER_LEFT

          public static final int POINT_LOWER_LEFT

      The calibration point is in the lower left of the screen.
      See Also:
        Constant Field Values

    - #### POINT_LOWER_RIGHT

          public static final int POINT_LOWER_RIGHT

      The calibration point is in the lower right of the screen.
      See Also:
        Constant Field Values

    - #### POINT_UPPER_RIGHT

          public static final int POINT_UPPER_RIGHT

      The calibration point is in the upper right of the screen.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getPointName

          public static java.lang.String getPointName​(int point)

      This function gets a human readable name for the currently calibrating point.
      Parameters:
        `point` - Point to print.
      Returns:
        Point name.

    - #### isCalibrationMode

          public boolean isCalibrationMode()

      Is the device currently in calibration mode?
      Returns:
        Whether or not the device is in calibration mode.

    - #### getPoint

          public int getPoint()

      If the device is calibrating this will contain the point at which the device is presently waiting for the pen.
      Returns:
        The current point.